/*     */ package com.flurry.sdk;
/*     */ 
/*     */ import java.io.ByteArrayOutputStream;
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.net.MalformedURLException;
/*     */ import java.nio.ByteBuffer;
/*     */ import java.nio.channels.Channels;
/*     */ import java.nio.channels.ReadableByteChannel;
/*     */ import java.nio.channels.WritableByteChannel;
/*     */ import java.util.concurrent.ExecutorService;
/*     */ import java.util.concurrent.Executors;
/*     */ import java.util.concurrent.Future;
/*     */ import java.util.concurrent.ThreadFactory;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class x
/*     */   implements Runnable
/*     */ {
/*  23 */   private static final String g = x.class.getSimpleName();
/*     */   
/*     */   private static ExecutorService h;
/*     */   
/*     */   protected String a;
/*     */   
/*     */   protected m b;
/*     */   
/*     */   protected String c;
/*     */   
/*     */   protected String d;
/*     */   
/*     */   protected String e;
/*     */   public String f;
/*     */   
/*     */   public static Future<?> a(Runnable paramRunnable)
/*     */   {
/*  40 */     kn.a(g, "Submit transport task.");
/*     */     
/*  42 */     if (h == null) {
/*  43 */       h = Executors.newFixedThreadPool(2, new ThreadFactory() {
/*  44 */         int a = 0;
/*     */         
/*     */         public final Thread newThread(Runnable paramAnonymousRunnable)
/*     */         {
/*  48 */           return new Thread(paramAnonymousRunnable, "Flurry-Config-Background-" + ++this.a);
/*     */         }
/*     */       });
/*     */     }
/*     */     
/*  53 */     return h.submit(paramRunnable);
/*     */   }
/*     */   
/*     */   public void run()
/*     */   {
/*  58 */     InputStream localInputStream = null;
/*  59 */     this.b = m.a;
/*     */     try {
/*  61 */       localInputStream = a();
/*  62 */       if (this.b != m.a) {
/*  63 */         return;
/*     */       }
/*     */       
/*  66 */       if (localInputStream == null) {
/*  67 */         kn.b(g, "Null InputStream");
/*  68 */         this.b = new m(m.a.c, "Null InputStream");
/*  69 */         return;
/*     */       }
/*     */       
/*  72 */       ReadableByteChannel localReadableByteChannel = Channels.newChannel(localInputStream);
/*     */       ByteArrayOutputStream localByteArrayOutputStream;
/*  74 */       WritableByteChannel localWritableByteChannel = Channels.newChannel(localByteArrayOutputStream = new ByteArrayOutputStream());
/*  75 */       ByteBuffer localByteBuffer = ByteBuffer.allocateDirect(16384);
/*  76 */       while ((localReadableByteChannel.read(localByteBuffer) >= 0) || (localByteBuffer.position() > 0)) {
/*  77 */         localByteBuffer.flip();
/*  78 */         localWritableByteChannel.write(localByteBuffer);
/*  79 */         localByteBuffer.compact();
/*     */       }
/*  81 */       localByteArrayOutputStream.flush();
/*     */       
/*     */ 
/*  84 */       if (!a(localByteArrayOutputStream)) {
/*  85 */         this.b = new m(m.a.e, "Signature Error.");
/*  86 */         return;
/*     */       }
/*     */       
/*  89 */       this.f = new String(localByteArrayOutputStream.toByteArray(), "utf-8");
/*     */     } catch (MalformedURLException localMalformedURLException) {
/*  91 */       this.b = new m(m.a.f, localMalformedURLException.toString());
/*     */     } catch (IOException localIOException7) {
/*  93 */       kn.a(g, localIOException7.getMessage(), localIOException7);
/*  94 */       this.b = new m(m.a.c, localIOException7.toString());
/*     */     } catch (Exception localException) {
/*  96 */       this.b = new m(m.a.f, localException.toString());
/*     */     } finally {
/*  98 */       if (localIOException1 != null) {
/*     */         try {
/* 100 */           localIOException1.close();
/*     */         } catch (IOException localIOException2) {
/* 102 */           kn.b(g, localIOException2.getMessage(), localIOException2);
/*     */         }
/*     */       }
/* 105 */       b();
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   protected abstract InputStream a()
/*     */     throws IOException;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   protected abstract void b();
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   protected boolean a(ByteArrayOutputStream paramByteArrayOutputStream)
/*     */   {
/* 127 */     return true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean c()
/*     */   {
/* 135 */     return true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public final String e()
/*     */   {
/* 152 */     return this.c;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public final String f()
/*     */   {
/* 160 */     return this.d;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public final String g()
/*     */   {
/* 168 */     return this.e;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public final m h()
/*     */   {
/* 184 */     return this.b;
/*     */   }
/*     */ }


/* Location:              C:\Users\nsubhash\Downloads\analytics-8.2.0.jar!\com\flurry\sdk\x.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */